package com.share.help.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class CrosConfiguration implements WebMvcConfigurer {

    @Autowired
    private CrosConfig crosConfig;

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping(crosConfig.getPathPattern()).
                allowedOrigins(crosConfig.getAllowedOrigins()).
                allowedMethods(crosConfig.getAllowedMethods()).
                allowCredentials(true);
    }
}
