package com.share.help;

/**
 * 常量
 */
public class Constants {

    //用户接口前缀
    public static final String USER_INTERFACE="/api/user";

    //用户注册接口
    public static final String USER_INTERFACE_REGISTER="/register";

    //用户登陆接口
    public static final String USER_INTERFACE_LOGIN = "/login";

    //求助接口前缀
    public static final String ACTIVITY_INTERFACE = "/api/activity";

    //发布求助信息
    public static final String ACTIVITY_INTERFACE_SEND_HELP = "/sendHelp";

    //查找活动列表
    public static final String ACTIVITY_INTERFACE_FIND = "/find";

    //查找用户接口
    public static final String USER_INTERFACE_FIND = "/find";

    //查找活动接口
    public static final String ACTIVITY_INTERFACE_FIND_ID =ACTIVITY_INTERFACE_FIND+"/{activityId}" ;

    public static final String USER_COOKIE="user_cookie";

    //活动报名接口
    public static final String ACTIVITY_INTERFACE_APPLY = "/apply";

    //用户查询信息接口
    public static final String USER_INTERFACE_FIND_ID = USER_INTERFACE_FIND+"/{targetUserId}";
    //查找自己
    public static final String USER_INTERFACE_FIND_OWN =USER_INTERFACE_FIND+"/own";

    //用户信息更新接口
    public static final String USER_INTERFACE_UPDATE = "/update";
    //更新密码接口
    public static final String USER_INTERFACE_PWD = "/updatePwd";
    //求助信息统计
    public static final String ACTIVITY_INTERFACE_SEEK_HELP = "/seekHelp";
    //获取求助信息志愿者
    public static final String ACTIVITY_INTERFACE_SEEK_HELP_USER = "/seekHelpUser";
    //查找用户
    public static final String USER_INTERFACE_FIND_NAME = USER_INTERFACE_FIND+"/name";
    //查找留言
    public static final String USER_INTERFACE_FIND_LEAVE_WORD = USER_INTERFACE_FIND+"/leaveWord";
    //查找帮助信息
    public static final String ACTIVITY_INTERFACE_HELP = "/help";
    //修改分数
    public static final String ACTIVITY_INTERFACE_SCORE = "/score";
    //发送好友邀请
    public static final String USER_INTERFACE_SEND_FRIEND = "/friend";
    //拒绝好友邀请
    public static final String USER_INTERFACE_REFUSE_FRIEND = "/refuse/{id}";
    //同意好友邀请
    public static final String USER_INTERFACE_AGREE_FRIEND = "/agree";

//    好友列表
    public static final String USER_INTERFACE_FRIEND_LIST = "/friend/list";
//    刷新聊天室状态
    public static final String USER_INTERFACE_CHAT_STATUS = "/chat/status";
    //管理员接口
    public static final String MANAGER_INTERFACE = "/api/manager";
    //管理登录接口
    public static final String MANAGER_INTERFACE_LOGIN = "/login";
    //管理员注册接口
    public static final String MANAGER_INTERFACE_REGISTER = "/register";
    //管理员列表接口
    public static final String MANAGER_INTERFACE_LIST = "/list";
    //管理员cookie
    public static final String MANAGER_COOKIE = "manager_cookie";
    //更新管理员
    public static final String MANAGER_INTERFACE_UPDATE = "/update";
    //删除管理员
    public static final String MANAGER_INTERFACE_DELETE = "/delete/{managerId}";
    //管理员找用户
    public static final String MANAGER_INTERFACE_USER = "/user";
    //更新用户信息
    public static final String MANAGER_INTERFACE_UPDATE_USER = "/userUpdate";
    //查找活动列表
    public static final String MANAGER_INTERFACE_FIND_ACTIVITY ="/find/activity" ;
    //更新活动接口
    public static final String MANAGER_INTERFACE_UPDATE_ACTIVITY = "/update/{activityId}";
    //查询时间币
    public static final String MANAGER_INTERFACE_SCORE = "/score";
}
