package com.share.help.entity;

import java.sql.Timestamp;
import java.util.Collection;
import java.util.Objects;


public class ActivityEntity {
    private Long activityId;
    private String title;
    private String content;
    private Timestamp seekHelpTime;
    private Timestamp activityStartTime;
    private Timestamp activityEndTime;
    private String activityImg;
    private String serviceAddress;
    private String userId;
    private Collection<ActivityHistoryEntity> activityHistoriesByActivityId;
    private Collection<LeaveWordEntity> leaveWordsByActivityId;



    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }



    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }



    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }



    public Timestamp getSeekHelpTime() {
        return seekHelpTime;
    }

    public void setSeekHelpTime(Timestamp seekHelpTime) {
        this.seekHelpTime = seekHelpTime;
    }



    public Timestamp getActivityStartTime() {
        return activityStartTime;
    }

    public void setActivityStartTime(Timestamp activityStartTime) {
        this.activityStartTime = activityStartTime;
    }



    public Timestamp getActivityEndTime() {
        return activityEndTime;
    }

    public void setActivityEndTime(Timestamp activityEndTime) {
        this.activityEndTime = activityEndTime;
    }



    public String getActivityImg() {
        return activityImg;
    }

    public void setActivityImg(String activityImg) {
        this.activityImg = activityImg;
    }



    public String getServiceAddress() {
        return serviceAddress;
    }

    public void setServiceAddress(String serviceAddress) {
        this.serviceAddress = serviceAddress;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ActivityEntity that = (ActivityEntity) o;
        return Objects.equals(activityId, that.activityId) &&
                Objects.equals(title, that.title) &&
                Objects.equals(content, that.content) &&
                Objects.equals(seekHelpTime, that.seekHelpTime) &&
                Objects.equals(activityStartTime, that.activityStartTime) &&
                Objects.equals(activityEndTime, that.activityEndTime) &&
                Objects.equals(activityImg, that.activityImg) &&
                Objects.equals(serviceAddress, that.serviceAddress) &&
                Objects.equals(userId, that.userId) &&
                Objects.equals(activityHistoriesByActivityId, that.activityHistoriesByActivityId) &&
                Objects.equals(leaveWordsByActivityId, that.leaveWordsByActivityId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(activityId, title, content, seekHelpTime, activityStartTime, activityEndTime, activityImg, serviceAddress, userId, activityHistoriesByActivityId, leaveWordsByActivityId);
    }

    public Collection<ActivityHistoryEntity> getActivityHistoriesByActivityId() {
        return activityHistoriesByActivityId;
    }

    public void setActivityHistoriesByActivityId(Collection<ActivityHistoryEntity> activityHistoriesByActivityId) {
        this.activityHistoriesByActivityId = activityHistoriesByActivityId;
    }


    public Collection<LeaveWordEntity> getLeaveWordsByActivityId() {
        return leaveWordsByActivityId;
    }

    public void setLeaveWordsByActivityId(Collection<LeaveWordEntity> leaveWordsByActivityId) {
        this.leaveWordsByActivityId = leaveWordsByActivityId;
    }
}
