package com.share.help.entity;

import java.util.Objects;




public class FriendEntity {
    private String sourceUserId;
    private String targetUserId;
    private UserEntity userBySourceUserId;
    private UserEntity userByTargetUserId;



    public String getSourceUserId() {
        return sourceUserId;
    }

    public void setSourceUserId(String sourceUserId) {
        this.sourceUserId = sourceUserId;
    }



    public String getTargetUserId() {
        return targetUserId;
    }

    public void setTargetUserId(String targetUserId) {
        this.targetUserId = targetUserId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FriendEntity that = (FriendEntity) o;
        return Objects.equals(sourceUserId, that.sourceUserId) &&
                Objects.equals(targetUserId, that.targetUserId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(sourceUserId, targetUserId);
    }



    public UserEntity getUserBySourceUserId() {
        return userBySourceUserId;
    }

    public void setUserBySourceUserId(UserEntity userBySourceUserId) {
        this.userBySourceUserId = userBySourceUserId;
    }



    public UserEntity getUserByTargetUserId() {
        return userByTargetUserId;
    }

    public void setUserByTargetUserId(UserEntity userByTargetUserId) {
        this.userByTargetUserId = userByTargetUserId;
    }
}
